Skip to main content
GET
/
commerce
/
customer
/
customerSets
/
{code}
Error
A valid request URL is required to generate request examples
{
  "aggregateInfo": {
    "customerCount": 123
  },
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "description": "<string>",
  "isDefault": true,
  "name": "<string>",
  "sites": [
    {
      "customerSetCode": "<string>",
      "name": "<string>",
      "siteId": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

Unique identifier of a customer group.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

A customer segment.

aggregateInfo
object
auditInfo
object
code
string | null

Unique identifier of the customer segment.

description
string | null

Description of the customer segment.

isDefault
boolean
name
string | null

Name of the customer segment.

sites
object[] | null